SDL_AppInit_func(3type)

NAME
SDL_AppInit_func - Function pointer typedef for SDL_AppInit .

HEADER FILE
Defined in SDL3/SDL_init.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef SDL_AppResult (SDLCALL *SDL_AppInit_func)(void **appstate, int argc, char *argv[]);

DESCRIPTION
These are used by SDL_EnterAppMainCallbacks . This mechanism operates behind the scenes for apps using the optional main callbacks. Apps that want to use this should just implement

SDL_AppInit
 directly.

FUNCTION PARAMETERS

appstate
    a place where the app can optionally store a pointer for future use.

argc
    the standard ANSI C main's argc; number of elements in argv .

argv
    the standard ANSI C main's argv; array of command line arguments.

RETURN VALUE
Returns SDL_APP_FAILURE
 to terminate with an error,

SDL_APP_SUCCESS
 to terminate with success,

SDL_APP_CONTINUE
 to continue.

AVAILABILITY
This datatype is available since SDL 3.2.0.